/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: libgen.h 1.4 89/10/20 $@(#)libgen:libgen.h	2.4"

/*	declarations of functions found in libgen
*/
#ifndef _LIBGEN_H_

#ifdef __STDC__
#include <stdio.h>
#endif

#ifdef __STDC__
extern char * basename(char *);
#else
extern char * basename();
#endif

#ifdef __STDC__
extern unsigned char * bgets(unsigned char *, int, FILE *, unsigned char *);
#else
extern unsigned char * bgets();
#endif

#ifdef __STDC__
extern unsigned bufsplit(char *, unsigned int, char *);
#else
extern unsigned bufsplit();
#endif

#ifdef __STDC__
extern char * copylist(char *, long int *);
#else
extern char * copylist();
#endif

#ifdef __STDC__
extern long clistcnt();
#else
extern long clistcnt();
#endif

#ifdef __STDC__
extern int curdir(char *);
#else
extern int curdir();
#endif

#ifdef __STDC__
extern char * dirname(char *);
#else
extern char * dirname();
#endif

#ifdef __STDC__
extern int eaccess(char *, int);
#else
extern int eaccess();
#endif

#ifdef __STDC__
extern struct tm * getdate(char *);
#else
extern int getdate();
#endif

#ifdef __STDC__
extern char * gettxt(char *, char *);
#else
extern int gettxt();
#endif

#ifdef __STDC__
extern int gmatch(char *, char *);
#else
extern int gmatch();
#endif

#ifdef __STDC__
extern int index(char *, char *);
#else
extern int index();
#endif

#ifdef __STDC__
extern int isencrypt(char *, int);
#else
extern int isencrypt();
#endif

#ifdef __STDC__
extern int mkdirp(char *, int);
#else
extern int mkdirp();
#endif

#ifdef __STDC__
extern int numd(char *);
#else
extern int numd();
#endif

#ifdef __STDC__
extern int p2open(char *, FILE **, FILE **);
#else
extern int p2open();
#endif

#ifdef __STDC__
extern int p2close(FILE *, FILE *);
#else
extern int p2close();
#endif

#ifdef __STDC__
extern char * pathfind(char *, char *, char *);
#else
extern char * pathfind();
#endif

#ifdef __STDC__
extern char * regcmp(char *, char *, char *, char *, char *, char *, char *, char *, char *, char *);
#else
extern char * regcmp();
#endif

#ifdef __STDC__
extern char * regex(char *, char *, char *, char *, char *, char *, char *);
#else
extern char * regex();
#endif

#ifdef __STDC__
extern char * repeat(char *, char *, unsigned int);
#else
extern char * repeat();
#endif

#ifdef __STDC__
extern int rmdirp(char *, char *);
#else
extern int rmdirp();
#endif

#ifdef __STDC__
extern char * smemcpy(char *, char *, unsigned int);
#else
extern char * smemcpy();
#endif

#ifdef __STDC__
extern char * strcadd(char *, char *);
#else
extern char * strcadd();
#endif

#ifdef __STDC__
extern char * strccpy(char *, char *);
#else
extern char * strccpy();
#endif

#ifdef __STDC__
extern char * streadd(char *, char *, char *);
#else
extern char * streadd();
#endif

#ifdef __STDC__
extern char * strecpy(char *, char *, char *);
#else
extern char * strecpy();
#endif

#ifdef __STDC__
extern char * triml(char *, char *);
#else
extern char * triml();
#endif

#ifdef __STDC__
extern char * trimt(char *, char *);
#else
extern char * trimt();
#endif

#ifdef __STDC__
extern char * trnslat(char *, char *, char *, char *);
#else
extern char * trnslat();
#endif

extern char * day();

extern int incount();

extern int julian();

extern int leap();

extern int mkdirp();

extern int num();

extern char * regerror();

extern int sesystem();

extern short sgets();

extern void sputs();

extern char * stradd();

extern char * strccpy();

extern int strnlen();

extern char * sweekday();

extern long tconv();

extern long tconvs();

extern void to_date();

extern long to_day();

extern int waitpid();

extern int weekday();

#define _LIBGEN_H_
#endif /* _LIBGEN_H_ */
